# bigmon_chain – Create and remove a bigmon inline service chain

- Synopsis

- Parameters

- Examples

- Status

## Synopsis

- Create and remove a bigmon inline service chain.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
access_token - |  | Bigmon access token. If this isn't set, the environment variable `BIGSWITCH_ACCESS_TOKEN` is used.
controller - / required |  | The controller IP address.
name - / required |  | The name of the chain.

state
-

Choices:
- present ←
- absent

Whether the service chain should be present or absent.

validate_certs
boolean

Choices:
- no
- yes ←

If `false`, SSL certificates will not be validated. This should only be used on personally controlled devices using self-signed certificates.

## Examples

    - name: bigmon inline service chain
      bigmon_chain:
        name: MyChain
        controller: '{{ inventory_hostname }}'
        state: present
        validate_certs: false

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Ted (@tedelhourani)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.